const commPrefix = '/api'

const apis = {
  user: {
    login: {
      method: 'post',
      url: `${commPrefix}/login`
    },
    logout: {
      method: 'post',
      url: `${commPrefix}/logout`
    },
    updatepass: {
      method: 'put',
      url: `${commPrefix}/admin/password`
    },
    getuser: {
      method: 'get',
      url: `${commPrefix}/user`
    }
  },
  sysuser: {
    add: {
      method: 'post',
      url: `${commPrefix}/sysuser`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/sysuser`
    },
    list: {
      method: 'get',
      url: `${commPrefix}/sysuser`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/sysuser/:id`
    },
    userRoleList:{
      method:'get',
      url: `${commPrefix}/userManagement`
    },
    roleManagementList:{
      method:'get',
      url: `${commPrefix}/user/roleManagementList`
    },
    roleAll:{
      method:'get',
      url: `${commPrefix}/roleAll`
    },
    addUserRole:{
      method:'post',
      url: `${commPrefix}/addUserRole`
    },
    userRoledetails:{
      method:'get',
      url: `${commPrefix}/userRoledetails`
    },
    updateUserRolede:{
      method:'post',
      url: `${commPrefix}/updateUserRolede`
    },
    deleteUserRole:{
      method:'post',
      url: `${commPrefix}/deleteUserRole`
    }
  },
  type: {
    add: {
      method: 'post',
      url: `${commPrefix}/person_type`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/person_type`
    },
    list: {
      method: 'get',
      url: `${commPrefix}/person_type`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/person_type/:id`
    }
  },
  stats: {
    person: {
      method: 'get',
      url: `${commPrefix}/stats/person`
    },
    daily: {
      visiting: {
        method: 'get',
        url: `${commPrefix}/stats/daily/visitinglog`
      }
    }
  },
  notice: {
    add: {
      method: 'post',
      url: `${commPrefix}/notice`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/notice`
    },
    list: {
      method: 'get',
      url: `${commPrefix}/notice`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/notice/:id`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/notice/:id`
    }
  },
  person: {
    add: {
      method: 'post',
      url: `${commPrefix}/person`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/person`
    },
    list: {
      method: 'get',
      url: `${commPrefix}/person`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/person/:id`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/person/:id`
    },
    dispatch: {
      method: 'put',
      url: `${commPrefix}/person/:id/avatar`
    },
    merge: {
      method: 'put',
      url: `${commPrefix}/merge/person/:id`
    },
  },
  guard: {
    dispatch: {
      method: 'post',
      url: `${commPrefix}/face/:id`
    },
    forbid: {
      method: 'delete',
      url: `${commPrefix}/face/:id`
    },
    device: {
      method: 'get',
      url: `${commPrefix}/faces`
    }
  },
  visitinglog: {
    list: {
      method: 'get',
      url: `${commPrefix}/visitinglog`
    },
  },
  file: {
    upload: {
      method: 'post',
      url: `${commPrefix}/uploadFile`
    }
  },
  firstpage: {
    add: {
      method: 'post',
      url: `${commPrefix}/firstpage`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/firstpage`
    },
    list: {
      method: 'get',
      url: `${commPrefix}/firstpage`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/firstpage/:id`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/firstpage/:id`
    },
    refresh: {
      method: 'post',
      url: `${commPrefix}/command/firstpage`
    },
  },
  content: {
    list: {
      method: 'get',
      url: `${commPrefix}/content`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/content`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/content/:id`
    }
  },
  device: {
    list: {
      method: 'get',
      url: `${commPrefix}/device`
    },
    snapshot: {
      method: 'get',
      url: `${commPrefix}/snapshot`
    },
    dispatch: {
      method: 'post',
      url: `${commPrefix}/device/person`
    },
  },
  words: {
    add: {
      method: 'post',
      url: `${commPrefix}/visiting_words`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/visiting_words`
    },
    list: {
      method: 'get',
      url: `${commPrefix}/visiting_words`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/visiting_words/device/:deviceId/type/:typeId`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/visiting_words/device/:deviceId/type/:typeId`
    }
  },
  log: {
    edit: {
      method: 'put',
      url: `${commPrefix}/visiting_log/:logId`
    },
    dispatch: {
      method: 'put',
      url: `${commPrefix}/person/:personId/log/:logId`
    }
  },
  sysparam: {
    edit: {
      method: 'put',
      url: `${commPrefix}/sysparam/:id`
    },
    list: {
      method: 'get',
      url: `${commPrefix}/sysparam`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/sysparam/:id`
    }
  },
  cart: {
    list: {
      method: 'get',
      url: `${commPrefix}/carRecord`
    }
  },
  security: {
    list: {
      method: 'get',
      url: `${commPrefix}/firstUsherRecord`
    }


  },
  management: {
    list: {
      method: 'get',
      url: `${commPrefix}/cars`
    },
    add: {
      method: 'put',
      url: `${commPrefix}/car/whitelist/:id`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/car/whitelist/:id`
    },
  },

  visitor: {
    list: {
      method: 'get',
      url: `${commPrefix}/visitorAppointmentList`
    }
  },
  lobby: {
    list: {
      method: 'get',
      url: `${commPrefix}/mainUsherRecord`
    }
  },
  followupRecord:{
    list:{
      method:'get',
      url: `${commPrefix}/customerList`
    }
  },
  sysRole: {
    list: {
      method: 'get',
      url: `${commPrefix}/role`
    },
    get: {
      method: 'get',
      url: `${commPrefix}/role/:id`
    },
    save: {
      method: 'post',
      url: `${commPrefix}/role`
    },
    update: {
      method: 'put',
      url: `${commPrefix}/role`
    },
    menu: {
      method: 'get',
      url: `${commPrefix}/menus`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/role/:id`
    }
  },
  menu:{
    list: {
      method: 'get',
      url: `${commPrefix}/menu`
    },
    save: {
      method: 'post',
      url: `${commPrefix}/menu`
    },
    update: {
      method: 'put',
      url: `${commPrefix}/menu/:id`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/menu/:id`
    },
    
  },
  goods: {
    type: {
      list: {
        method: 'get',
        url: `${commPrefix}/tdGoodsType`
      },
      save: {
        method: 'post',
        url: `${commPrefix}/tdGoodsType/add`
      },
      update: {
        method: 'put',
        url: `${commPrefix}/tdGoodsType/update`
      },
      delete: {
        method: 'delete',
        url: `${commPrefix}/tdGoodsType/delete/:id`
      },
    },

    spec: {
      list: {
        method: 'get',
        url: `${commPrefix}/tdSpec`
      },
      save: {
        method: 'post',
        url: `${commPrefix}/tdSpec/add`
      },
      update: {
        method: 'put',
        url: `${commPrefix}/tdSpec/update`
      },
      delete: {
        method: 'delete',
        url: `${commPrefix}/tdSpec/delete/:id`
      },
    },

    profile: {
      list: {
        method: 'get',
        url: `${commPrefix}/taGoods`
      },
      get: {
        method: 'get',
        url: `${commPrefix}/taGoods/get/:id`
      },
      save: {
        method: 'post',
        url: `${commPrefix}/taGoods/add`
      },
      update: {
        method: 'put',
        url: `${commPrefix}/taGoods/update`
      },
      delete: {
        method: 'delete',
        url: `${commPrefix}/taGoods/delete/:id`
      },
    },
  },
  agent: {
    save: {
      method: 'post',
      url: `${commPrefix}/taCustomerTransfer/add`
    },
    update: {
      method: 'put',
      url: `${commPrefix}/taCustomerTransfer/update`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/taCustomerTransfer/delete/:id`
    },
  }

}
export default apis
